Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::concepts::EqualityComparable Struct Reference
Utility » Concepts

## Public Member Functions
| concepts::model_of ()))
| concepts::model_of ()))
| concepts::model_of ()
| concepts::model_of ()
| concepts::model_of ()
| concepts::model_of ()
template<typename T >
auto | requires_ (detail::as_cref_t< T > t) -> decltype(concepts::valid_expr(concepts::convertible_to< bool >(t==t), concepts::convertible_to< bool >(t !=t)))
template<typename T , typename U >
auto | requires_ () -> decltype(concepts::valid_expr(concepts::is_true(std::is_same< T, U >
template<typename T , typename U , typename C = common_reference_t<detail::as_cref_t<T>, detail::as_cref_t<U>>>
auto | requires_ () -> decltype(concepts::valid_expr(concepts::is_false(std::is_same< T, U >